"use strict";
/**
 * DESCRIPTION: TEST_COLENDING_APPLICATION_DOCS DATA MODEL
 *              USED TO SAVE THE DIBURSED LOAN APPLICATION DOC DETAILS
 * CREATED BY: VIKAS
 * CREATED DATE: 02/06/2021
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColendingApplicationDocs = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the colending application docs interface attributes
class ColendingApplicationDocs extends sequelize_1.Model {
}
exports.ColendingApplicationDocs = ColendingApplicationDocs;
// Define colender_loan_parameters ORM data model object
ColendingApplicationDocs.init({
    loan_id: {
        type: sequelize_1.DataTypes.INTEGER,
    },
    document_name: {
        type: sequelize_1.DataTypes.STRING(150),
    },
    document_link: {
        type: sequelize_1.DataTypes.STRING(999),
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "test_colending_application_docs",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
ColendingApplicationDocs.removeAttribute("id"); // Primary Key Attribute
ColendingApplicationDocs.removeAttribute("createdAt"); // Created Date Attribute
ColendingApplicationDocs.removeAttribute("updatedAt"); // Update Date Attribute
