"use strict";
/**
 * DESCRIPTION: TEST_COLENDER_LOAN_PARAMETER DATA MODEL
 *              USED TO SAVE THE DIBURSED LOAN DETAILS
 *              FOR THE COLENDERS
 * CREATED BY: VIKAS
 * CREATED DATE: 02/06/2021
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColendingMasterDetails = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the pin code api interface attributes
class ColendingMasterDetails extends sequelize_1.Model {
}
exports.ColendingMasterDetails = ColendingMasterDetails;
// Define colender_loan_parameters ORM data model object
ColendingMasterDetails.init({
    loan_id: {
        type: sequelize_1.DataTypes.INTEGER,
    },
    account_number: {
        type: sequelize_1.DataTypes.STRING(50),
    },
    application_id: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    prinicipal_amount: {
        type: sequelize_1.DataTypes.DOUBLE(22, 0),
        allowNull: true,
    },
    interest_amount: {
        type: sequelize_1.DataTypes.DOUBLE(22, 0),
        allowNull: true,
    },
    disbursement_date: {
        type: sequelize_1.DataTypes.DATEONLY,
        allowNull: true,
    },
    first_repayment_date: {
        type: sequelize_1.DataTypes.DATEONLY,
        allowNull: true,
    },
    instrument_number: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    instrument_type: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    net_disbursement_amount: {
        type: sequelize_1.DataTypes.DOUBLE(22, 0),
        allowNull: true,
    },
    installment_no: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    installment_amount: {
        type: sequelize_1.DataTypes.DOUBLE(22, 0),
        allowNull: true,
    },
    next_repayment_date: {
        type: sequelize_1.DataTypes.DATEONLY,
        allowNull: true,
    },
    co_lender: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "test_colending_master_details",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
ColendingMasterDetails.removeAttribute("id"); // Primary Key Attribute
ColendingMasterDetails.removeAttribute("createdAt"); // Created Date Attribute
ColendingMasterDetails.removeAttribute("updatedAt"); // Update Date Attribute
