"use strict";
/**
 * DESCRIPTION: TEST_COLENDING_REPAYMENT_SCHEDULE DATA MODEL USED
 *              TO FETCH THE CUSTOMER DETAILS
 * CREATED BY: VIKAS
 * CREATED DATE: 28/04/2021
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColendingRepaymentSchedule = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the colending repayment schedule interface attributes
class ColendingRepaymentSchedule extends sequelize_1.Model {
}
exports.ColendingRepaymentSchedule = ColendingRepaymentSchedule;
// Define customer_api ORM data model object
ColendingRepaymentSchedule.init({
    loan_id: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: false,
    },
    installment_due_date: {
        type: sequelize_1.DataTypes.DATEONLY,
        allowNull: true,
    },
    installment_amount: {
        type: sequelize_1.DataTypes.DOUBLE(22, 0),
        allowNull: true,
    },
    installment_no: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    principal_amount: {
        type: sequelize_1.DataTypes.DOUBLE(22, 0),
        allowNull: true,
    },
    interest_amount: {
        type: sequelize_1.DataTypes.DOUBLE(22, 0),
        allowNull: true,
    },
    principal_outstanding: {
        type: sequelize_1.DataTypes.DOUBLE(22, 0),
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "test_colending_repayment_schedule",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
ColendingRepaymentSchedule.removeAttribute("id"); // Primary Key Attribute
ColendingRepaymentSchedule.removeAttribute("createdAt"); // Created Date Attribute
ColendingRepaymentSchedule.removeAttribute("updatedAt"); // Update Date Attribute
